import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  * @version 1.0 vom 21.01.2006
  * @author claus albowski
  */

public class Farbwerte extends JFrame {
  // Anfang Variablen
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JLabel jLabel3 = new JLabel();
  private JTextField jTextField1 = new JTextField();
  private JTextField jTextField2 = new JTextField();
  private JTextField jTextField3 = new JTextField();
  private JTextField jTextField4 = new JTextField();
  private JTextField jTextField5 = new JTextField();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  // Ende Variablen

  public Farbwerte(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 260;
    int frameHeight = 180;
    setSize(frameWidth, frameHeight);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    // Beschriftungen
    jLabel1.setBounds(8, 24, 44, 16);
    jLabel1.setText("rot");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jLabel2.setBounds(8, 56, 44, 16);
    jLabel2.setText("gruen");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);
    jLabel3.setBounds(8, 88, 44, 16);
    jLabel3.setText("blau");
    jLabel3.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel3);
    // Textfelder
    jTextField1.setBounds(64, 16, 49, 24);
    jTextField1.setText("255");
    cp.add(jTextField1);
    jTextField2.setBounds(64, 48, 49, 24);
    jTextField2.setText("255");
    cp.add(jTextField2);
    jTextField3.setBounds(64, 80, 49, 24);
    jTextField3.setText("255");
    cp.add(jTextField3);
    jTextField4.setBounds(168, 48, 73, 26);
    jTextField4.setFont (new Font("Courier New", Font.BOLD, 15));
    jTextField4.setText("#ffffff");
    cp.add(jTextField4);
    jTextField5.setBounds(168, 78, 73, 26);
    jTextField5.setText("");
    cp.add(jTextField5);
    
    // Buttons
    jButton1.setBounds(120, 16, 41, 89);
    jButton1.setFont (new Font("Arial Narrow", Font.PLAIN, 13));
    jButton1.setText(">");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(120, 112, 121, 17);
    jButton2.setText("Ende");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        System.exit(0);
      }
    });

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
    jTextField4.setText(
       "#"
       + new Zahl(jTextField1.getText()).gibHexaDezimal()
       + new Zahl(jTextField2.getText()).gibHexaDezimal()
       + new Zahl(jTextField3.getText()).gibHexaDezimal());
       jTextField5.setBackground(new Color(new Zahl(jTextField1.getText()).gibDezimal(),
                               new Zahl(jTextField2.getText()).gibDezimal(),
                               new Zahl(jTextField3.getText()).gibDezimal()));
  }

  public void jButton2ActionPerformed(ActionEvent evt) {

  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Farbwerte("Farbwerte");
  }
}

